%define __kde4_alternate_placement 1

%define rname kdeaccessibility
Name: kde4accessibility
%define major 4
%define minor 1
%define bugfix 3
Version: %major.%minor.%bugfix
Release: alt0.M41.2

Group: Graphical desktop/KDE
Summary: K Desktop Environment - Accessibility program
Url: http://www.kde.org
License: GPL

Requires: %name-kmag = %version-%release
Requires: %name-kmouth = %version-%release
Requires: %name-kmousetool = %version-%release
Requires: %name-kttsd = %version-%release

#Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%rname-%version.tar.bz2
Source: %rname-%version.tar

# Automatically added by buildreq on Wed Oct 22 2008 (-bi)
#BuildRequires: festival flite gcc-c++ kde4base-runtime kde4base-workspace-devel libXScrnSaver-devel libXcomposite-devel libXdamage-devel libXft-devel libXpm-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libalsa-devel libxkbfile-devel rpm-build-ruby xorg-xf86vidmodeproto-devel
#BuildRequires: festival flite
BuildRequires: gcc-c++ kde4base-runtime >= %version kde4base-workspace-devel >= %version
BuildRequires: xorg-devel libalsa-devel

%description
KDE Accessibility Aids:
- kmag, a screen magnifier,
- kmousetool, a program for people whom it hurts to click the mouse
- KMouth, a program that allows people who have lost their voice to let
  their computer speak for them.


%package common
Summary: %name common package
Group: System/Configuration/Other
Requires: kde-common >= %major-%minor
%description common
%name common package

%package core
Summary: Core files for %name
Group: Graphical desktop/KDE
Requires: %name-common = %version-%release
%description core
Core files for %name

%package kmag
Group: Graphical desktop/KDE
Summary: KMag Program
Requires: %name-core = %version-%release
%description kmag
KMag Program

%package kmouth
Group: Graphical desktop/KDE
Summary: KMag Program
Requires: %name-core = %version-%release
%description kmouth
Kmouth Program

%package kmousetool
Group: Graphical desktop/KDE
Summary: kmousetool program
Requires: %name-core = %version-%release
%description kmousetool
kmousetool program

%package -n libkttsd4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n libkttsd4
KDE 4 library.

%package kttsd
Group: Graphical desktop/KDE
Summary: KTTS - KDE Text-to-Speech
Requires: %name-core = %version-%release
%description kttsd
KTTS -- KDE Text-to-Speech -- is a subsystem within the KDE desktop for
conversion of text to audible speech. KTTS is currently under development
and aims to become the standard subsystem for all KDE applications
to provide speech output.
User Features:
 - Speak any text from the KDE clipboard.
 - Speak any plain text file.
 - Speak all or any portion of a text file from Kate.
 - Speak all or any portion of an HTML page from Konqueror.
 - Use as the speech backend for KMouth and KSayIt.
 - Speak KDE notifications (KNotify).
 - Long text is parsed into sentences. User may backup by sentence or
   paragraph, replay, pause, and stop playing.
 - Audio output via aRts, ALSA, GStreamer (version 0.8.7 or later), or aKode.

%package devel
Group: Development/KDE and Qt
Summary: Header files for developing kaccessibility utils
Requires: %name-common = %version-%release
%description devel
Header files needed for developing ktts applications.


%prep
%setup -q -n %rname-%version


%build
%K4build


%install
%K4install


%post -n libkttsd4
%post_ldconfig
%postun -n libkttsd4
%postun_ldconfig


%files
%files common

%files core
%__kde4_iconsdir/mono/
%__kde4_iconsdir/hicolor/*/actions/followmouse.*
%__kde4_iconsdir/hicolor/*/actions/hidemouse.*
%__kde4_iconsdir/hicolor/*/actions/window.*
%_K4apps/color-schemes/*

%files kmag
%__kde4_bindir/kmag
%__kde4_xdg_apps/kmag.desktop
%__kde4_iconsdir/hicolor/*/apps/kmag.*
%_K4apps/kmag
%__kde4_doc/en/kmag

%files kmouth
%__kde4_bindir/kmouth
%__kde4_xdg_apps/kmouth.desktop
%_K4apps/kmouth
%_K4conf/kmouthrc
%__kde4_iconsdir/hicolor/*/actions/female.png
%__kde4_iconsdir/hicolor/*/actions/male.png
%__kde4_iconsdir/hicolor/*/actions/nospeak.png
%__kde4_iconsdir/hicolor/*/actions/speak.png
%__kde4_iconsdir/hicolor/*/apps/kmouth.png
%__kde4_doc/en/kmouth

%files kmousetool
%__kde4_bindir/kmousetool
%__kde4_xdg_apps/kmousetool.desktop
%_K4apps/kmousetool
%__kde4_iconsdir/hicolor/*/*/kmousetool*.*
%__kde4_doc/en/kmousetool

%files kttsd
%__kde4_bindir/kttsd
%__kde4_bindir/kttsmgr

%__kde4_xdg_apps/kttsmgr.desktop
%_K4srv/kcmkttsd.desktop
%_K4srv/ktts*
%_K4srvtyp/kttsd*
#%__kde4_iconsdir/hicolor/*/*/kmousetool*
%_K4lib/kcm_kttsd.so
%_K4lib/libktts*
%_K4apps/kttsd
%__kde4_doc/en/kttsd/

%files -n libkttsd4
%_K4libdir/libkttsd.so.*

#%files devel
#%_K4libdir/*.so

%changelog
* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt0.M41.2
- built for M41

* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Thu Oct 23 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- initial specfile

